Package com.collibra.dgc.core.api.dto.usergroup

# Class AddUsersToUserGroupRequest

Object
AddUsersToUserGroupRequest

All Implemented Interfaces:
  `Serializable`

public class AddUsersToUserGroupRequest extends Object implements Serializable
The properties needed for adding user to user group.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `AddUsersToUserGroupRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddUsersToUserGroupRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AddUsersToUserGroupRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getUserGroupId()`
  Required. The ID of the user group the users should be added to.
  `List<UUID>`
  `getUserIds()`
  Required. The list of IDs of the users that should be added to the user group.
  `int`
  `hashCode()`
  `void`
  `setUserGroupId(UUID userGroupId)`
  Required. The ID of the user group the users should be added to.
  `void`
  `setUserIds(List<UUID> userIds)`
  Required. The list of IDs of the users that should be added to the user group.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddUsersToUserGroupRequest

    public AddUsersToUserGroupRequest()

- ## Method Details

  - ### builder

    public static AddUsersToUserGroupRequest.Builder builder()

  - ### getUserGroupId

    public UUID getUserGroupId()
    Required. The ID of the user group the users should be added to. Silently ignored if the ID is provided as path parameter of the request

  - ### getUserIds

    public List<UUID> getUserIds()
    Required. The list of IDs of the users that should be added to the user group.

  - ### setUserGroupId

    public void setUserGroupId(UUID userGroupId)
    Required. The ID of the user group the users should be added to. Silently ignored if the ID is provided as path parameter of the request

  - ### setUserIds

    public void setUserIds(List<UUID> userIds)
    Required. The list of IDs of the users that should be added to the user group.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`